<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class CheckPointName extends Model
{
    use SoftDeletes;

    protected $fillable = [
        'plant_id',
        'name',
        'created_by',
    ];

    public function plant(): BelongsTo
    {
        return $this->belongsTo(Plant::class);
    }

    public function checkPointTimes1()
    {
        return $this->hasMany(CheckPointTime::class, 'check_point1_id', 'id');
    }

    public function checkPointTimes2()
    {
        return $this->hasMany(CheckPointTime::class, 'check_point2_id', 'id');
    }

    public function guardPatrolEntries()
    {
        return $this->hasMany(GuardPatrolEntry::class, 'check_point_name_id', 'id');
    }
}
